package com.sifang.modules.contract.entity;

import org.hibernate.annotations.GenericGenerator;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

@Entity
@Table(name = "crm_trader_contract_template")
public class TraderContractTemplate implements Serializable {

    private static final long serialVersionUID = 1L;

    private String id;
    
    private String type;

    private String companyId;

    private String contractName;

    private String docTemplateId;

    private Date createTime;

    private String createBy;

    private String updateBy;

    private Date updateTime;

    private String status;

    private String patern;

    private String signKey;

    private String filingType;

    private Integer positionPage;

    private Integer positionAcross;

    private Integer positionVertical;

    private Integer positionPage2;

    private Integer positionAcross2;

    private Integer positionVertical2;

    public Integer getPositionPage2() {
        return positionPage2;
    }

    public void setPositionPage2(Integer positionPage2) {
        this.positionPage2 = positionPage2;
    }

    public Integer getPositionAcross2() {
        return positionAcross2;
    }

    public void setPositionAcross2(Integer positionAcross2) {
        this.positionAcross2 = positionAcross2;
    }

    public Integer getPositionVertical2() {
        return positionVertical2;
    }

    public void setPositionVertical2(Integer positionVertical2) {
        this.positionVertical2 = positionVertical2;
    }

    public Integer getPositionPage() {
        return positionPage;
    }

    public void setPositionPage(Integer positionPage) {
        this.positionPage = positionPage;
    }


    public Integer getPositionAcross() {
        return positionAcross;
    }

    public void setPositionAcross(Integer positionAcross) {
        this.positionAcross = positionAcross;
    }

    public Integer getPositionVertical() {
        return positionVertical;
    }

    public void setPositionVertical(Integer positionVertical) {
        this.positionVertical = positionVertical;
    }

    public String getFilingType() {
        return filingType;
    }

    public void setFilingType(String filingType) {
        this.filingType = filingType;
    }

    @Id
    @GeneratedValue(generator = "idGenerator")
    @GenericGenerator(name = "idGenerator", strategy = "uuid")
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }


    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public String getContractName() {
        return contractName;
    }

    public void setContractName(String contractName) {
        this.contractName = contractName;
    }

    public String getDocTemplateId() {
        return docTemplateId;
    }

    public void setDocTemplateId(String docTemplateId) {
        this.docTemplateId = docTemplateId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getPatern() {
        return patern;
    }

    public void setPatern(String patern) {
        this.patern = patern;
    }

    public String getSignKey() {
        return signKey;
    }

    public void setSignKey(String signKey) {
        this.signKey = signKey;
    }
}
